include "console.iol"

execution { sequential }

interface TamagotchiInterface {
RequestResponse:
	feed(undefined)(undefined),
	play(undefined)(undefined),
	sleep(undefined)(undefined)
}

outputPort UI {
Interfaces: TamagotchiInterface
}

interface ShutdownInterface {
OneWay:
	shutdown(void)
}

inputPort TamagotchiInput {
Location: "socket://localhost:8000/"
Protocol: http
Interfaces: ShutdownInterface
Aggregates: UI
}

embedded {
Java:
	"imds.TamagotchiUI" in UI
}

main
{
	shutdown()
}